const $ = require("jquery");
const { post,config,getUrlArgObject } = require('./promise.js');
let mrId = getUrlArgObject('mrId') 
let hospitalIdUrl = getUrlArgObject('hospitalId') || ''
let msg
$(function(){
  function getMRInfo() {
    return post(config.getMr2,{mrId:mrId})
  }
  function getPusgWarning(){
    return  post(config.indicationPush,Object.assign({},msg,{ruleType: '1,2,3,4',hospitalId:hospitalIdUrl||msg.hospitalId}))
  }
  getMRInfo().then(res =>{
    msg = res.data.data ||{}
    getPusgWarning().then(res =>{
      if(res.data.code == '0'){
        const result = res.data.data
        let billMsgList = result.billMsgList || []  //开单合理性提醒
        let highRiskList = result.highRiskList || []  //高危药品、手术
        let criticalValList = result.criticalValList || []  //危急值提醒
        let noteList = result.noteList || []  //检查内容注意事项
        let dubugStr = result.dubugStr || []  //注意调试信息
        let otherList = result.otherList || []  //其他提醒
        renderBillingPush(billMsgList,'开单合理性')
        renderBillingPush(highRiskList,'高风险提示')
        renderBillingPush(criticalValList,'危急值提醒')
        renderBillingPush(noteList,'检查注意事项')
        renderBillingPush(otherList,'其他提醒')
        // renderBillingPush(dubugStr,'注意调试信息')
       
      }

    })
  })
  // let tipsMsg = JSON.parse(getUrlArgObject("tipsMsg")) || {}
 
  // let billMsgList = tipsMsg.billMsgList || []
  // let highRiskList = tipsMsg.highRiskList || []
  // let criticalValList = tipsMsg.criticalValList || []
  // let noteList = tipsMsg.noteList || []
  // let otherList = tipsMsg.otherList || []  //其他提醒
  // renderBillingPush(billMsgList,'开单合理性')
  // renderBillingPush(highRiskList,'高风险提示')
  // renderBillingPush(criticalValList,'危急值提醒')
  // renderBillingPush(noteList,'检查注意事项')
  // renderBillingPush(otherList,'其他提醒')
  function renderBillingPush(list,name){
    if(list.length === 0){
      return
    }
    let str = `<p class="contentTitle">${name}</p>`
    let infoStr = ""
    for(let i = 0; i < list.length; i++){
      infoStr+= `<li class="contentItem">${list[i].msg}</li>`
    }
    str += `<ul class="contentBox">${infoStr}</ul>`
    $(".content").append(str)
  }
})